import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import './assets/main.css';
import { createPinia } from 'pinia';
import router from "./router/index.js";

import '@fortawesome/fontawesome-free/css/all.min.css'; // หรือ all.css ถ้าต้องการ debug

const app = createApp(App);
const pinia = createPinia();

app.use(pinia); // ใช้ Pinia
app.use(router); // ใช้ router

app.mount('#app');
